[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master, updated. 551d4ba05fd619a836ba778c58b6ec1b9a4e6bf1

Benjamin Drung bdrung-guest at alioth.debian.org
Fri Nov 27 22:19:46 UTC 2009


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".

The branch, master has been updated
       via  551d4ba05fd619a836ba778c58b6ec1b9a4e6bf1 (commit)
      from  0479db5f9f94157e677a3effc7851673c12b604b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 551d4ba05fd619a836ba778c58b6ec1b9a4e6bf1
Author: Benjamin Drung <bdrung at ubuntu.com>
Date:   Fri Nov 27 23:19:28 2009 +0100

    Extend system-jars.patch

-----------------------------------------------------------------------

Summary of changes:
 build.xml                        |   10 ++++
 debian/patches/system-jars.patch |   95 +++++++++++++++++++++++++-------------
 symlink-system-jars              |   73 +++++++++++++++++++----------
 3 files changed, 120 insertions(+), 58 deletions(-)

diff --git a/build.xml b/build.xml
index b5ebdab..8245874 100644
--- a/build.xml
+++ b/build.xml
@@ -267,9 +267,17 @@
 	</target>
 
 	<target name="symlinkSystemJARs" depends="applyPatches" unless="symlinkSystemJARs.complete">
+		<!-- Remove signatures for JARs -->
+		<delete>
+			<fileset dir="${buildDirectory}" casesensitive="no">
+				<include name="**/*.sf" />
+				<include name="**/*.rsa" />
+			</fileset>
+		</delete>
 		<!-- symlink system jars -->
 		<chmod perm="+x" file="symlink-system-jars" />
 		<exec executable="./symlink-system-jars" failonerror="true">
+			<arg line="-c" />
 			<arg line="${buildDirectory}" />
 		</exec>
 		<echo file="symlink-stamp" />
@@ -584,7 +592,9 @@
 			</fileset>
 		</copy>
 		<exec executable="./symlink-system-jars" failonerror="true">
+			<arg line="-c" />
 			<arg line="${buildDirectory}/installation" />
+			<arg line="-i" />
 		</exec>
 		<echo file="provision.sdk-stamp" />
 	</target>
diff --git a/debian/patches/system-jars.patch b/debian/patches/system-jars.patch
index 7272f00..96f3d73 100644
--- a/debian/patches/system-jars.patch
+++ b/debian/patches/system-jars.patch
@@ -14,14 +14,22 @@ Applied-Upstream: no
  	<uptodate property="testspatch.complete" srcfile="testsunpack-stamp" targetfile="testspatch-stamp" />
  	<uptodate property="compilelibs.complete" srcfile="unpack-stamp" targetfile="compilelibs-stamp" />
  	<uptodate property="build.complete" srcfile="patch-stamp" targetfile="build-stamp" />
-@@ -265,13 +266,22 @@
+@@ -265,13 +266,30 @@
  		<echo file="patch-stamp" />
  	</target>
  
 +	<target name="symlinkSystemJARs" depends="applyPatches" unless="symlinkSystemJARs.complete">
++		<!-- Remove signatures for JARs -->
++		<delete>
++			<fileset dir="${buildDirectory}" casesensitive="no">
++				<include name="**/*.sf" />
++				<include name="**/*.rsa" />
++			</fileset>
++		</delete>
 +		<!-- symlink system jars -->
 +		<chmod perm="+x" file="symlink-system-jars" />
 +		<exec executable="./symlink-system-jars" failonerror="true">
++			<arg line="-c" />
 +			<arg line="${buildDirectory}" />
 +		</exec>
 +		<echo file="symlink-stamp" />
@@ -38,19 +46,21 @@ Applied-Upstream: no
  		<echo message="build.xml:  eclipse.pdebuild.scripts = ${eclipse.pdebuild.scripts}" />
  		<java classname="org.eclipse.equinox.launcher.Main" fork="true" dir="${basedir}" failonerror="true">
  			<classpath>
-@@ -573,6 +583,9 @@
+@@ -573,6 +591,11 @@
  				<filename name="org.eclipse.*.jar" />
  			</fileset>
  		</copy>
 +		<exec executable="./symlink-system-jars" failonerror="true">
++			<arg line="-c" />
 +			<arg line="${buildDirectory}/installation" />
++			<arg line="-i" />
 +		</exec>
  		<echo file="provision.sdk-stamp" />
  	</target>
  
 --- /dev/null
 +++ eclipse-3.5.1+repack/symlink-system-jars
-@@ -0,0 +1,70 @@
+@@ -0,0 +1,91 @@
 +#!/bin/sh
 +set -e
 +
@@ -60,18 +70,35 @@ Applied-Upstream: no
 +# 2. Comma separated list of locations, where the system jar files can be found
 +
 +CSV_FILE=$(dirname $0)/system-jars.csv
-+if test -n "$2"; then
-+	CSV_FILE="$2"
-+fi
++
++while getopts 'c:if:v' OPTION; do
++	case $OPTION in
++	c)	CHANGE_DIRECTORY="$OPTARG"
++		;;
++	i)	IGNORE_MISSING=1
++		;;
++	f)	CSV_FILE="$OPTARG"
++		;;
++	v)	VERBOSE=1
++		;;
++	\?)	echo "Unknown pption \"-$OPTARG\"." >&2
++		exit $EXIT_ERROR
++		;;
++	:)	echo "Option \"-$OPTARG\" requires an argument." >&2
++		exit $EXIT_ERROR
++		;;
++	*)	echo "Assertion error." >&2
++		exit $EXIT_BUG
++		;;
++	esac
++done
++
 +CSV_FILE_CONTENT=$(cat $CSV_FILE)
 +
-+if test -n "$1"; then
-+	cd "$1"
++if test -n "$CHANGE_DIRECTORY"; then
++	cd "$CHANGE_DIRECTORY"
 +fi
 +
-+# Remove signatures for JARs
-+find \( -iname '*.sf' -o -iname '*.rsa' \) -delete
-+
 +for line in $CSV_FILE_CONTENT; do
 +	if test "$(echo $line | cut -c 1)" != "#"; then
 +		COLUMN1=$(echo $line | sed "s/;/\n/g" | sed -n "1p")
@@ -91,27 +118,31 @@ Applied-Upstream: no
 +				echo "$ECLIPSE_JAR" > /dev/stdout
 +				exit 1
 +			fi
-+		else
-+			echo "E: No matching jar file for $COLUMN1 found." > /dev/stdout
-+			exit 2
-+		fi
 +
-+		# search for system jars
-+		SYSTEM_JAR=$(ls -1 $(echo "$COLUMN2" | sed "s/,/ /g") 2> /dev/null || true)
-+		if test -z "$SYSTEM_JAR"; then
-+			echo "W: No system jar file found for $ECLIPSE_JAR."
-+		else
-+			if test ! -f "$SYSTEM_JAR"; then
-+				echo "E: $COLUMN2 is ambiguous. Found following system jar files:" > /dev/stdout
-+				echo "$SYSTEM_JAR" > /dev/stdout
-+				exit 3
-+			fi
++			# search for system jars
++			SYSTEM_JAR=$(ls -1 $(echo "$COLUMN2" | sed "s/,/ /g") 2> /dev/null || true)
++			if test -z "$SYSTEM_JAR"; then
++				echo "W: No system jar file found for $ECLIPSE_JAR."
++			else
++				if test ! -f "$SYSTEM_JAR"; then
++					echo "E: $COLUMN2 is ambiguous. Found following system jar files:" > /dev/stdout
++					echo "$SYSTEM_JAR" > /dev/stdout
++					exit 3
++				fi
 +
-+			if test -n "$VERBOSE"; then
-+				echo "I: ln -sf $SYSTEM_JAR $ECLIPSE_JAR"
++				if test -n "$VERBOSE"; then
++					echo "I: ln -sf $SYSTEM_JAR $ECLIPSE_JAR"
++				fi
++				# link to system jar file
++				ln -sf $SYSTEM_JAR $ECLIPSE_JAR
++			fi
++		else
++			if test -n "$IGNORE_MISSING"; then
++				echo "W: No matching jar file for $COLUMN1 found." >&2
++			else
++				echo "E: No matching jar file for $COLUMN1 found." >&2
++				exit 2
 +			fi
-+			# link to system jar file
-+			ln -sf $SYSTEM_JAR $ECLIPSE_JAR
 +		fi
 +	fi
 +done
@@ -154,12 +185,12 @@ Applied-Upstream: no
 +plugins/org.apache.ant_*/lib/ant-weblogic.jar;/usr/share/java/ant-weblogic.jar
 +plugins/org.apache.ant_*/lib/ant.jar;/usr/share/java/ant.jar
 +#plugins/org.junit_3.*/junit.jar;/usr/share/java/junit.jar
-+#plugins/com.jcraft.jsch_*.jar;/usr/share/java/jsch.jar
++plugins/com.jcraft.jsch_*.jar;/usr/share/java/jsch.jar
 +#plugins/javax.servlet.jsp_*.jar;/usr/share/java/jsp-api-2.1.jar
-+#plugins/javax.servlet_2.4*.jar;/usr/share/java/servlet-api-2.4.jar
++plugins/javax.servlet_2.4*.jar;/usr/share/java/servlet-api-2.4.jar
 +#plugins/javax.servlet_2.5*.jar;/usr/share/java/servlet-api-2.5.jar
 +#plugins/org.apache.commons.codec_*.jar;/usr/share/java/commons-codec.jar
-+#plugins/org.apache.commons.el_*.jar;/usr/share/java/commons-el.jar
++plugins/org.apache.commons.el_*.jar;/usr/share/java/commons-el.jar
 +#plugins/org.apache.commons.httpclient_*.jar;/usr/share/java/commons-httpclient.jar
 +#plugins/org.apache.commons.logging_*.jar;/usr/share/java/commons-logging.jar
 +#plugins/org.apache.lucene.analysis_*.jar;/usr/share/java/lucene-analyzers.jar
diff --git a/symlink-system-jars b/symlink-system-jars
index e66ba2e..f65194e 100755
--- a/symlink-system-jars
+++ b/symlink-system-jars
@@ -7,18 +7,35 @@ set -e
 # 2. Comma separated list of locations, where the system jar files can be found
 
 CSV_FILE=$(dirname $0)/system-jars.csv
-if test -n "$2"; then
-	CSV_FILE="$2"
-fi
+
+while getopts 'c:if:v' OPTION; do
+	case $OPTION in
+	c)	CHANGE_DIRECTORY="$OPTARG"
+		;;
+	i)	IGNORE_MISSING=1
+		;;
+	f)	CSV_FILE="$OPTARG"
+		;;
+	v)	VERBOSE=1
+		;;
+	\?)	echo "Unknown pption \"-$OPTARG\"." >&2
+		exit $EXIT_ERROR
+		;;
+	:)	echo "Option \"-$OPTARG\" requires an argument." >&2
+		exit $EXIT_ERROR
+		;;
+	*)	echo "Assertion error." >&2
+		exit $EXIT_BUG
+		;;
+	esac
+done
+
 CSV_FILE_CONTENT=$(cat $CSV_FILE)
 
-if test -n "$1"; then
-	cd "$1"
+if test -n "$CHANGE_DIRECTORY"; then
+	cd "$CHANGE_DIRECTORY"
 fi
 
-# Remove signatures for JARs
-find \( -iname '*.sf' -o -iname '*.rsa' \) -delete
-
 for line in $CSV_FILE_CONTENT; do
 	if test "$(echo $line | cut -c 1)" != "#"; then
 		COLUMN1=$(echo $line | sed "s/;/\n/g" | sed -n "1p")
@@ -38,27 +55,31 @@ for line in $CSV_FILE_CONTENT; do
 				echo "$ECLIPSE_JAR" > /dev/stdout
 				exit 1
 			fi
-		else
-			echo "E: No matching jar file for $COLUMN1 found." > /dev/stdout
-			exit 2
-		fi
 
-		# search for system jars
-		SYSTEM_JAR=$(ls -1 $(echo "$COLUMN2" | sed "s/,/ /g") 2> /dev/null || true)
-		if test -z "$SYSTEM_JAR"; then
-			echo "W: No system jar file found for $ECLIPSE_JAR."
-		else
-			if test ! -f "$SYSTEM_JAR"; then
-				echo "E: $COLUMN2 is ambiguous. Found following system jar files:" > /dev/stdout
-				echo "$SYSTEM_JAR" > /dev/stdout
-				exit 3
-			fi
+			# search for system jars
+			SYSTEM_JAR=$(ls -1 $(echo "$COLUMN2" | sed "s/,/ /g") 2> /dev/null || true)
+			if test -z "$SYSTEM_JAR"; then
+				echo "W: No system jar file found for $ECLIPSE_JAR."
+			else
+				if test ! -f "$SYSTEM_JAR"; then
+					echo "E: $COLUMN2 is ambiguous. Found following system jar files:" > /dev/stdout
+					echo "$SYSTEM_JAR" > /dev/stdout
+					exit 3
+				fi
 
-			if test -n "$VERBOSE"; then
-				echo "I: ln -sf $SYSTEM_JAR $ECLIPSE_JAR"
+				if test -n "$VERBOSE"; then
+					echo "I: ln -sf $SYSTEM_JAR $ECLIPSE_JAR"
+				fi
+				# link to system jar file
+				ln -sf $SYSTEM_JAR $ECLIPSE_JAR
+			fi
+		else
+			if test -n "$IGNORE_MISSING"; then
+				echo "W: No matching jar file for $COLUMN1 found." >&2
+			else
+				echo "E: No matching jar file for $COLUMN1 found." >&2
+				exit 2
 			fi
-			# link to system jar file
-			ln -sf $SYSTEM_JAR $ECLIPSE_JAR
 		fi
 	fi
 done


hooks/post-receive
-- 
eclipse - Powerful IDE written in java - Debian package.



More information about the pkg-java-commits mailing list